org.apache.flume

## Interface SourceFactory

- All Known Implementing Classes:
    DefaultSourceFactory

      public interface SourceFactory

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Source` | `create(String sourceName, String type)`
    `Class<? extends Source>` | `getClass(String type)`

- - ### Method Detail

    - #### create

          Source create(String sourceName,
                      String type)
                        throws FlumeException

      Throws:
        `FlumeException`

    - #### getClass

          Class<? extends Source> getClass(String type)
                                           throws FlumeException

      Throws:
        `FlumeException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.